summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorIlya Tumaykin <itumaykin@gmail.com>2017-04-27 23:37:20 +0300
committerDavid Seifert <soap@gentoo.org>2017-05-04 18:28:14 +0200
commitfde5f156e0ea939080c2340699411f6c4e1823a6 (patch)
treea4ee2e27ebc69ad7b2be6656039ebd421d0f80d2 /media-video
parentmedia-video/mpv: verbump to 0.25.0 (diff)
downloadgentoo-fde5f156e0ea939080c2340699411f6c4e1823a6.tar.gz
gentoo-fde5f156e0ea939080c2340699411f6c4e1823a6.tar.bz2
gentoo-fde5f156e0ea939080c2340699411f6c4e1823a6.zip
media-video/mpv: require ffmpeg-API>=3.3 for vaapi or vdpau in 9999
Libav users will have to use libav-9999 or wait for libav-13 release. This is only in mpv-9999 ebuild, so no p.use.mask entry just yet. Upstream-commit: f59371de2170141fc28540d03c4e7ecc62844ebf Package-Manager: Portage-2.3.5, Repoman-2.3.2
Diffstat (limited to 'media-video')
-rw-r--r--media-video/mpv/mpv-9999.ebuild12
1 files changed, 10 insertions, 2 deletions
diff --git a/media-video/mpv/mpv-9999.ebuild b/media-video/mpv/mpv-9999.ebuild
index 2ae442f217b..fb8cd67ab79 100644
--- a/media-video/mpv/mpv-9999.ebuild
+++ b/media-video/mpv/mpv-9999.ebuild
@@ -95,8 +95,16 @@ COMMON_DEPEND="
samba? ( net-fs/samba[smbclient(+)] )
sdl? ( media-libs/libsdl2[sound,threads,video] )
v4l? ( media-libs/libv4l )
- vaapi? ( >=x11-libs/libva-1.4.0[drm?,X?,wayland?] )
- vdpau? ( >=x11-libs/libvdpau-0.2 )
+ vaapi? (
+ !libav? ( >=media-video/ffmpeg-3.3:0 )
+ libav? ( >=media-video/libav-13:0 )
+ >=x11-libs/libva-1.4.0[drm?,X?,wayland?]
+ )
+ vdpau? (
+ !libav? ( >=media-video/ffmpeg-3.3:0 )
+ libav? ( >=media-video/libav-13:0 )
+ >=x11-libs/libvdpau-0.2
+ )
wayland? (
>=dev-libs/wayland-1.6.0
>=x11-libs/libxkbcommon-0.3.0